//
//  Shader.vsh
//  DepthBuffers
//
//  Created by Edward Patel on 2009-10-08.
//  Copyright Memention AB 2009. All rights reserved.
//

attribute vec4 position;
attribute vec4 color;

varying vec4 colorVarying;

uniform float translate;

// ADDED DEPTH BEGIN
uniform float depth;
uniform float side;
// ADDED DEPTH END

void main()
{
	gl_Position = position;
	gl_Position.y += sin(translate) / 2.0;

	// ADDED DEPTH BEGIN
	gl_Position.x += side;
	gl_Position.z += depth;
	// ADDED DEPTH END

	colorVarying = color;
}
